summaryrefslogtreecommitdiff
path: root/qa/124
diff options
context:
space:
mode:
authorIgor Pashev <pashev.igor@gmail.com>2014-10-26 12:33:50 +0400
committerIgor Pashev <pashev.igor@gmail.com>2014-10-26 12:33:50 +0400
commit47e6e7c84f008a53061e661f31ae96629bc694ef (patch)
tree648a07f3b5b9d67ce19b0fd72e8caa1175c98f1a /qa/124
downloadpcp-47e6e7c84f008a53061e661f31ae96629bc694ef.tar.gz
Debian 3.9.10debian/3.9.10debian
Diffstat (limited to 'qa/124')
-rwxr-xr-xqa/12441
1 files changed, 41 insertions, 0 deletions
diff --git a/qa/124 b/qa/124
new file mode 100755
index 0000000..0884f23
--- /dev/null
+++ b/qa/124
@@ -0,0 +1,41 @@
+#! /bin/sh
+# PCP QA Test No. 124
+# check that exit status in pmie actions processed correctly
+# (problem raised by todd.c.davis@intel.com)
+# pv #870661
+#
+# Copyright (c) 1995-2002 Silicon Graphics, Inc. All Rights Reserved.
+#
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+# get standard environment, filters and checks
+. ./common.product
+. ./common.filter
+. ./common.check
+
+status=0 # success is the default!
+$sudo rm -rf $tmp.*
+trap "rm -f $tmp.*; exit \$status" 0 1 2 3 15
+
+# real QA test starts here
+
+echo 'hinv.ncpu > 0 -> shell "echo true; true";' | pmie -f -t2 -T1 2>/dev/null
+sleep 1
+
+echo 'hinv.ncpu > 0 -> shell "echo true; true" | shell "echo or true; true";' | pmie -f -t2 -T1 2>/dev/null
+sleep 1
+
+echo 'hinv.ncpu > 0 -> shell "echo true; true" & shell "echo and true; true";' | pmie -f -t2 -T1 2>/dev/null
+sleep 1
+
+echo 'hinv.ncpu > 0 -> shell "echo false; false" | shell "echo or true; true";' | pmie -f -t2 -T1 2>/dev/null
+sleep 1
+
+echo 'hinv.ncpu > 0 -> shell "echo false; false" & shell "echo and true; true";' | pmie -f -t2 -T1 2>/dev/null
+sleep 1
+
+# success, all done
+exit
+